Package org.eclipse.emf.compare.ide.utils

# Class StorageTraversal

java.lang.Object
org.eclipse.emf.compare.ide.utils.StorageTraversal

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IDiagnosable`

@Beta public class StorageTraversal extends Object implements org.eclipse.core.runtime.IAdaptable, IDiagnosable
A Resource Traversal is no more than a set of resources used by the synchronization model to determine which resources to load as part of a given logical model.

## Constructor Summary

Constructors
Constructor
Description
`StorageTraversal(Set<? extends org.eclipse.core.resources.IStorage> storages)`
Creates our traversal given its set of resources.
`StorageTraversal(Set<? extends org.eclipse.core.resources.IStorage> storages, Diagnostic diagnostic)`
Creates our traversal given its set of resources.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Object`
`getAdapter(Class adapter)`
`Diagnostic`
`getDiagnostic()`
Returns the diagnostic of the storages of this traversal.
`Set<? extends org.eclipse.core.resources.IStorage>`
`getStorages()`
Returns a mutable copy of the set of resources that are part of this traversal.
`int`
`hashCode()`
`void`
`removeStorage(org.eclipse.core.resources.IStorage storage)`
Removes the given storage from this traversal.
`void`
`setDiagnostic(Diagnostic diagnostic)`
Set the diagnostic to be associated with this scope.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StorageTraversal

public StorageTraversal(Set<? extends org.eclipse.core.resources.IStorage> storages)
Creates our traversal given its set of resources.

Parameters:
  `storages` - The set of resources that are part of this traversal.

### StorageTraversal

public StorageTraversal(Set<? extends org.eclipse.core.resources.IStorage> storages, Diagnostic diagnostic)
Creates our traversal given its set of resources.

Parameters:
  `storages` - The set of resources that are part of this traversal.
  `diagnostic` - diagnostic of the errors that may occur during loading of the storages.

## Method Details

### getStorages

public Set<? extends org.eclipse.core.resources.IStorage> getStorages()
Returns a mutable copy of the set of resources that are part of this traversal.

Returns:
  A mutable copy of the set of resources that are part of this traversal.

### removeStorage

public void removeStorage(org.eclipse.core.resources.IStorage storage)
Removes the given storage from this traversal.

Parameters:
  `storage` - The storage to be removed.
Since:
  3.1

### getDiagnostic

public Diagnostic getDiagnostic()
Returns the diagnostic of the storages of this traversal.

Specified by:
  `getDiagnostic` in interface `IDiagnosable`
Returns:
  the diagnostic

### setDiagnostic

public void setDiagnostic(Diagnostic diagnostic)
Set the diagnostic to be associated with this scope.

Specified by:
  `setDiagnostic` in interface `IDiagnosable`
Parameters:
  `diagnostic` - the diagnostic
See Also:
  - `IDiagnosable.setDiagnostic(org.eclipse.emf.common.util.Diagnostic)`

### getAdapter

public Object getAdapter(Class adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
See Also:
  - `IAdaptable.getAdapter(java.lang.Class)`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`